Bug 10435 - kickstart fails if lang set to something other than en_US
Summary: kickstart fails if lang set to something other than en_US
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.2
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-30 09:45 UTC by Nigel Metheringham
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-13 21:33:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nigel Metheringham 2000-03-30 09:45:36 UTC
Kickstart installs fail around the time they mount the install
media if lang is set to something other than en_US - the main
example I tried was en_GB but others failed too.

A python/anaconda traceback is given, en_GB is not a valid
key - I think this is at line 221 in todo.py
            self.abbrevMap[value] = key

However I'm not certain of that exact location.

Comment 1 Michael Fulbright 2000-04-03 20:28:59 UTC
The installer uses the file /usr/lib/anaconda/lang-table to get the mappings
for languages. The version of this file shipped with 6.2 does not appear to
contain some languages, so this is why you are having the problem you are.

This has been forwards to a developer for further consideration.

Comment 2 Brock Organ 2000-08-05 19:15:09 UTC
this is still open using the pinstripe public beta .... using lang en_GB in the
ks file as the language causes an anaconda traceback ...

Comment 3 Matt Wilson 2000-08-05 19:35:34 UTC
en_GB isn't a supported language.  Read /etc/lang-table for a list, or see
documentation which also has a list.

Matt


Comment 4 Brock Organ 2000-08-05 19:41:29 UTC
this also fails for ru_RU ...

Comment 5 Brock Organ 2000-08-05 19:44:53 UTC
New valid language codes (from the pinstripe documentation) are:

cs_CZ, en_US, fr_FR, de_DE, hu_HU, is_IS, id_ID, it_IT,
ja_JP.ujis, no_NO, pl_PL, ro_RO, sk_SK, sl_SI, es_ES,
ru_RU.KOI8-R, uk_UA



Comment 6 Matthew Kirkwood 2000-08-07 09:59:28 UTC
So I can not kickstart en_UK machines without post-install fixups?  That's no
good.

Oh, I can't even *install* en_UK machines, kickstart or no - they always end up
en_US.  I think that a second language selection screen is needed, along with
some autodetection from the timezone and keyboard type selected.

At the very least, the "Which language should be used for the install process"
message should be changed to explain that the language will also apply to the
installed system.

Comment 7 Brent Fox 2001-03-06 17:40:29 UTC
This problem appears to be fixed in the latest internal trees.  Kickstart now
works properly for non-us languages.


Note You need to log in before you can comment on or make changes to this bug.